Add "follows" issue relation

2008-06-12 16:31 - Jonas De Meulenaere

Status: Closed Start date: 2008-06-12

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

To relate issues, I have the possibility to choose "precedes", which is very nice. However, most of the times I'm adding a bug that

follows another issue. To define the relation, I need to return to the first issue adding the relation there. I'd like to have the possibility

to add the relation "follows" from the newest bug also, this saves me some time clicking and searching.

Associated revisions

Revision 3190 - 2009-12-18 21:35 - Jean-Philippe Lang

Adds 'follows' relation (#1432).

History

#1 - 2008-11-13 00:37 - Thomas Capricelli

+10 for this one.

I dont know how this is implemented, but probably there's a model 'relation' with a key to both issues being in relation. If so, it is really easy to add a

"follows" in the menu popup, that will just created a 'precedes' by inversing the two issues.

As Jonas, almost all the time when i need such a relation is when i create the second issue, and i want to say it should only be adressed after another

one. My current way of doing is to 'remember' the number of the new one, go to the other one and add a relation "precedes" .. which is both tedious

and dangerous (i have a very very bad short term memory)

#2 - 2008-11-13 15:24 - Curtis Stewart

+ 1

I find myself have the same problems as Thomas, (including the short term memory).

I was wondering if the implementation could be on the issues page. This would take two parts

1. Use the right click and be able to perform the relationships.

2. The second part would be to be able to display and sort by relationship.

This would alow us to go through all of the tasks and do the first shot as scheduling on the page that has all of the tasks.

#3 - 2009-03-17 19:57 - Josh Galvez

Just another +1 on this.  It is an important time saving feature for us.

#4 - 2009-10-14 17:11 - Anonymous

- File issueRelationFollows_r2924.patch added

Please review my patch. I believe it resolves this issue.

#5 - 2009-10-14 17:28 - Josh Galvez

Krzysztof Podejma there seems to be a lot unrelated changes in this patch.  Why is that?

#6 - 2009-10-14 17:47 - Anonymous

- File issueRelationFollows_r2924.patch added

Sorry, I had a strange problem with my svn working copy. I'm uploading once again.

#7 - 2009-10-14 17:55 - Josh Galvez

Krzysztof Podejma wrote:
Sorry, I had a strange problem with my svn working copy. I'm uploading once again.

 Thank you!  This patch works great for me.

#8 - 2009-10-15 10:35 - Anonymous

I'm happy it helps you.

Is it possible to apply my patch to the trunk?

Regards

Krzysztof Podejma

#9 - 2009-10-23 16:12 - Anonymous

- Status changed from New to Resolved

#10 - 2009-11-16 21:03 - Josh Galvez

This is just a bump so it shows up in activity.  This patch is good and ready for the trunk!

#11 - 2009-11-16 21:20 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

#12 - 2009-11-22 16:13 - Mischa The Evil

- Status changed from Resolved to New

- Priority changed from Low to Normal

+1 from me too...

#13 - 2009-12-18 18:02 - Josh Galvez

Eric says the only thing holding this patch back is people to push for it.  But more particularly unit tests for the Issue Relation Model, see #4438.  Any

up to coding those tests?

#14 - 2009-12-18 21:28 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Feature added in r3190.

Files

issueRelationFollows_r2924.patch 260 KB 2009-10-14 Anonymous

issueRelationFollows_r2924.patch 2.66 KB 2009-10-14 Anonymous
